# Looking for a Professional React Window Component?

This package helps you to use the [Kendo UI for jQuery Window](https://demos.telerik.com/kendo-ui/window/index?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-window-wrapper&utm_content=description) in React applications. It should not be confused with the [KendoReact Window](https://www.npmjs.com/package/@progress/kendo-react-dialogs), which is written 100% with React (no jQuery dependency).

Most UI components in Kendo UI for jQuery, including this one, have their native React equivalents, available as part of the [KendoReact UI library](https://www.telerik.com/kendo-react-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-window-wrapper).

## Important

This package will not be receiving future updates. We strongly encourage you to work with the native React implementation linked above.
If you still need to use the Kendo UI for jQuery widgets in your React applications, you can follow [these instructions](https://docs.telerik.com/kendo-ui/third-party/react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-window-wrapper).

## What is the Difference between Kendo UI for jQuery and KendoReact?

The Kendo UI for jQuery Window is part of [Kendo UI for jQuery](https://www.telerik.com/kendo-jquery-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-window-wrapper&utm_content=description), a complete, feature-rich jQuery UI component library.

The [KendoReact Window](https://www.telerik.com/kendo-react-ui/components/dialogs/window/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-window-wrapper&utm_content=description) is part of [KendoReact](https://www.telerik.com/kendo-react-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-window-wrapper&utm_content=description), a library that includes 100+ UI and DataViz components designed and built from the ground up for React.

*Copyright © 2021 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved.*

*Progress, Kendo UI, KendoReact and associated product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
